core / TransactionGroup

# TransactionGroup

`class TransactionGroup`

A TransactionGroup defines a directed acyclic graph of transactions that can be resolved with each other and then verified. Successful verification does not imply the non-existence of other conflicting transactions: simply that this subgraph does not contain conflicts and is accepted by the involved contracts.

The inputs of the provided transactions must be resolvable either within the transactions set, or from the nonVerifiedRoots set. Transactions in the non-verified set are ignored other than for looking up input states.

### Constructors

<init> | `TransactionGroup(transactions: Set<LedgerTransaction>, nonVerifiedRoots: Set<LedgerTransaction>)` A TransactionGroup defines a directed acyclic graph of transactions that can be resolved with each other and then verified. Successful verification does not imply the non-existence of other conflicting transactions: simply that this subgraph does not contain conflicts and is accepted by the involved contracts.

### Properties

nonVerifiedRoots | `val nonVerifiedRoots: Set<LedgerTransaction>`
transactions | `val transactions: Set<LedgerTransaction>`

### Functions

verify | `fun verify(programMap: ContractFactory): Set<TransactionForVerification>` Verifies the group and returns the set of resolved transactions.